Bug 170922

Summary: [WK2] -[WKContentView doAfterPositionInformationUpdate:atPosition:] should be robust against synchronous reentrancy
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: WebKit2Assignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: aestes, bdakin, commit-queue, megan_gardner, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Attempt to fix Mac builds
none
Rebase on ToT
none
Test additional edge cases
thorton: review+
Patch for landing none

Description Wenson Hsieh 2017-04-17 15:51:33 PDT
<rdar://problem/31634990>
Comment 1 Wenson Hsieh 2017-04-17 16:41:01 PDT
Created attachment 307320 [details]
Patch
Comment 2 Wenson Hsieh 2017-04-18 13:36:58 PDT
Created attachment 307412 [details]
Patch
Comment 3 Wenson Hsieh 2017-04-18 17:11:59 PDT
Created attachment 307437 [details]
Attempt to fix Mac builds
Comment 4 Wenson Hsieh 2017-04-18 18:27:34 PDT
Created attachment 307447 [details]
Rebase on ToT
Comment 5 Wenson Hsieh 2017-04-19 08:51:41 PDT
Created attachment 307480 [details]
Test additional edge cases
Comment 6 Wenson Hsieh 2017-04-20 12:36:01 PDT
Created attachment 307615 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2017-04-20 12:59:49 PDT
Comment on attachment 307615 [details]
Patch for landing

Clearing flags on attachment: 307615

Committed r215573: <http://trac.webkit.org/changeset/215573>